Bug 967361 - Fedora hangs on USB to serial converter
Fedora hangs on USB to serial converter
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
arm Linux
high Severity high
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 16:21 EDT by John J. McDonough
Modified: 2013-05-29 07:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 01:37:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John J. McDonough 2013-05-26 16:21:20 EDT
This is probably the wrong component, but as close as I could figure out

Description of problem:
System hangs with USB to serial converter

Version-Release number of selected component (if applicable):
raspberrypi-kernel-3.6.11-2.20130205gitc5cb0b5.rpfr18.armv5tel

How reproducible:
Reproduceable

Steps to Reproduce:
1. Plug in USB-Serial converter based on Future Technology chip (0403:f448)
2. Start gtkterm
3. Select ttyUSBx associated with converter
4. Click Ok

Actual results:
Entire system hangs as soon as one clicks OK

Another app that uses ttyUSB0 (JNOS) also causes hang as soon as tty is attached so it isn't gtkterm.

Expected results:
See serial stream

Additional info:
Works fine with Prolific 2302 based converter (067b:2303)
Works fine on Fedora 17 ARM on Beagle
Works fine on Fedora 18 x86_64
Hangs on F18 -or- Pidora on Raspi
Comment 1 Pete Zaitcev 2013-05-28 10:07:39 EDT
Coincidentially usbmon has no arm module and may break something on the Pi,
but only if monitoring is enabled.
Comment 2 Josh Boyer 2013-05-28 15:45:42 EDT
I'm fairly sure the upstream maintainers have said the USB ports on the Pi are horrible and have issues in the hardware.  You might also be having power issues as well.  I don't expect much in the way of fixes to be honest.

Also, Fedora doesn't build or provide a kernel for the Pi.  You'd probably need to discuss this with the Seneca people doing the remix.
Comment 3 Pete Zaitcev 2013-05-28 23:54:06 EDT
Here's the G+ thread where people dump on Pi's USB HC:
 https://plus.google.com/u/0/111049168280159033135/posts/63CBdNN4r4Z
Comment 4 Peter Robinson 2013-05-29 01:37:16 EDT
The RPi kernel is not the same kernel we use in Fedora so there's nothing we can actually do. Your best bet is to contract someone on #seneca.

Make sure your power supply supplies enough power, a standard 500ma USB charger isn't enough for anything that draws power through the usb bus. I would likely try a usb psu from a tablet that will supply 2A.
Comment 5 John J. McDonough 2013-05-29 07:29:06 EDT
Thanks for the input.  After Josh's comments about power I retested with a known stiff supply and it made no difference.  Meanwhile, I learned about the availability of an I2C device which will be much nicer anyway.

Note You need to log in before you can comment on or make changes to this bug.